const API = require("../../lib/API");
const { BaseStdResponse } = require("../../BaseStdResponse");

class GetAppVersion extends API {
    constructor() {
        super();

        this.setPath('/Public/GetAppVersion')
        this.setMethod('GET')
    }

    async onRequest(req, res) {
        res.json({
            ...BaseStdResponse.OK,
            data: {
                version: '2.0',
                msg: '\n更新内容：\n重构乐跑逻辑 优化乐跑任务调度功能'
            }
        })
    }
}

module.exports.GetAppVersion = GetAppVersion